source: branches/4.x/.travis.yml @ 943

Last change on this file since 943 was 859, checked in by cito, 4 years ago

Revert PostgreSQL versions in Travis config

Seems Travis still doesn't support Pg 9.5, and 9.1 should still work.

File size: 454 bytes
Line 
1# Travis CI configuration
2# see https://docs.travis-ci.com/user/languages/python
3
4language: python
5
6# unfortunately, Travis cannot be used to test with Python 2.4 and 2.5
7python:
8  - "2.6"
9  - "2.7"
10
11install:
12  - pip install .
13  - if [[ $TRAVIS_PYTHON_VERSION == 2.6 ]]; then pip install unittest2; fi
14
15script: python setup.py test
16
17addons:
18  postgresql: "9.1"
19
20services:
21  - postgresql
22
23before_script:
24  - psql -U postgres -c 'create database unittest'
Note: See TracBrowser for help on using the repository browser.